Message Queue, v4.4 API Specification

## com.sun.messaging.jms.management.server
Class DestinationPauseType

    java.lang.Object
      com.sun.messaging.jms.management.server.DestinationPauseType

    public class DestinationPauseType

extends java.lang.Object

Class containing constants for destination pause type.

Field Summary
`static java.lang.String` `ALL` Pauses delivery of messages to consumers and from producers.
`static java.lang.String` `CONSUMERS` Pauses delivery of messages to consumers
`static java.lang.String` `PRODUCERS` Pauses delivery of messages from producers

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRODUCERS

    public static final java.lang.String PRODUCERS

  Pauses delivery of messages from producers

  See Also:
    Constant Field Values

### CONSUMERS

    public static final java.lang.String CONSUMERS

  Pauses delivery of messages to consumers

  See Also:
    Constant Field Values

### ALL

    public static final java.lang.String ALL

  Pauses delivery of messages to consumers and from producers.

  See Also:
    Constant Field Values

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.